Thanks Ferdo, I got it to work. Heres my code for others to use if they ever run into this issue:
'The following example inserts a drawing picture from a given picture file path The MyView is the active view in the active drawing sheet
Dim MySheet As DrawingSheet
Set MySheet =...
Dear Jenial,
I have tried the script suggested in the thread you posted (see first section of my code) It however gives me an error of object not found on the CATIA.ActiveDocument.Sheets.ActiveSheet.
Hey All,
I've been editing the CATIA macro which controls the titleblock inside the drafting enviroment. Since macro recording is not working I'm trying to figure out how to add a logo into the titleblock.
What is use: Catia V6 2013x
Out of the box titleblock script (can be provided if...
I now have below code. It doesnt give an error but doesnt do anything either. I'm sorry for being such a newbie at scripting..
Sub CATMain()
Dim editor1 As Editor
Set editor1 = CATIA.ActiveEditor
Dim part1 As Part
Set part1 = editor1.ActiveObject
Dim hybridShapeFactory1 As HybridShapeFactory...
So basically i want to have a set of planes all offset from the XY plane which can be made using a txt file or excel file.
I've tried to record my own macro but i do not know how to get it to loop...
As written above, I do have a way to input points and a line using a excel table.. just not the...
Hi!
I'm looking for a script or macro which allows me to create planes on all points and a curve i have made.
I have a excel file with xyz coordinates which I import into Catia (V6 GSD) creating a geometrical set called "GeometryFromExcel". This geometrical set contains all points and creates...